Bug 241365 - [NEW PORT] devel/premake5 : Build script creation tool
Summary: [NEW PORT] devel/premake5 : Build script creation tool
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL: https://reviews.freebsd.org/D23195
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-10-20 13:13 UTC by Martin Filla
Modified: 2020-02-02 05:44 UTC (History)
3 users (show)

See Also:


Attachments
premake5.shar (3.05 KB, text/plain)
2019-10-20 13:13 UTC, Martin Filla
no flags Details
premake5 (3.04 KB, text/plain)
2019-10-20 13:27 UTC, Martin Filla
no flags Details
premake5.shar (3.04 KB, text/plain)
2019-10-20 13:27 UTC, Martin Filla
no flags Details
premake5.shar (3.04 KB, text/plain)
2019-11-18 11:01 UTC, Martin Filla
no flags Details
premake5.shar (3.05 KB, text/plain)
2019-11-20 22:35 UTC, Martin Filla
no flags Details
premake5.shar (3.56 KB, text/plain)
2019-11-28 23:06 UTC, Martin Filla
no flags Details
premake5.shar (3.54 KB, text/plain)
2020-01-15 22:16 UTC, Martin Filla
no flags Details
premake5.shar (3.54 KB, text/plain)
2020-01-15 23:48 UTC, Martin Filla
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Filla 2019-10-20 13:13:33 UTC
Created attachment 208455 [details]
premake5.shar

Hi, 
new version premake5

Describe your software project just once, using Premake's simple and easy to read syntax, and build it everywhere.

Generate project files for Visual Studio, GNU Make, Xcode, Code::Blocks, and more across Windows, Mac OS X, and Linux. Use the full featured Lua scripting engine to make build configuration tasks a breeze.
Comment 1 Martin Filla 2019-10-20 13:27:21 UTC
Created attachment 208457 [details]
premake5
Comment 2 Martin Filla 2019-10-20 13:27:55 UTC
Created attachment 208458 [details]
premake5.shar
Comment 3 Martin Filla 2019-11-18 11:01:50 UTC
Created attachment 209225 [details]
premake5.shar

update premake5 port
Comment 4 Martin Filla 2019-11-20 22:35:35 UTC
Created attachment 209297 [details]
premake5.shar

new update premake5 build tools
Comment 5 Martin Filla 2019-11-28 23:06:49 UTC
Created attachment 209517 [details]
premake5.shar

Update premake5 shar file. 
Fix only for archs
Comment 6 Martin Filla 2020-01-15 22:16:45 UTC
Created attachment 210778 [details]
premake5.shar

update shar file
Comment 7 Martin Filla 2020-01-15 23:48:54 UTC
Created attachment 210782 [details]
premake5.shar

updated shar file
Comment 8 Martin Filla 2020-01-28 23:05:36 UTC
New version files for review
Comment 9 commit-hook freebsd_committer 2020-02-02 05:37:36 UTC
A commit references this bug:

Author: swills
Date: Sun Feb  2 05:37:24 UTC 2020
New revision: 524809
URL: https://svnweb.freebsd.org/changeset/ports/524809

Log:
  devel/premake5: Build script creation tool

  Describe your software project just once, using Premake's
  simple and easy to read syntax, and build it everywhere.

  WWW: https://premake.github.io/

  This is version 5 alpha

  PR:		241365
  Submitted by:	Martin Filla <freebsd@sysctl.cz>

Changes:
  head/devel/Makefile
  head/devel/premake5/
  head/devel/premake5/Makefile
  head/devel/premake5/distinfo
  head/devel/premake5/files/
  head/devel/premake5/files/patch-Bootstrap.mak
  head/devel/premake5/files/patch-tests___tests.lua
  head/devel/premake5/files/patch-tests_test
  head/devel/premake5/pkg-descr
Comment 10 Steve Wills freebsd_committer 2020-02-02 05:44:58 UTC
Committed, thanks!